[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TButtonControl.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 1195

`public constructor TButtonControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. TheOwner is the owner for the new class instance, or Nil.

Create ensures that values in ControlStyle are updated to remove the csMultiClicks, csAcceptsControls, and csCaptureMouse style flags. The accessibility role and description are set to "Button" for the new class instance.